Page MenuHomePhabricator

LVM failures on Debian Jessie labs VMs
Closed, ResolvedPublic

Description

Notice: /Stage[main]/Labs_lvm/Exec[create-volume-group]/returns: Warning: Not all of the space available to /dev/vda appears to be used, you can fix the GPT to use all of the space (an extra 42989568 blocks) or continue with the current setting? 
Notice: /Stage[main]/Labs_lvm/Exec[create-volume-group]/returns: Warning: Not all of the space available to /dev/vda appears to be used, you can fix the GPT to use all of the space (an extra 42989568 blocks) or continue with the current setting? 
Notice: /Stage[main]/Labs_lvm/Exec[create-volume-group]/returns: Error: You requested a partition from 20.9GB to 42.9GB (sectors 40820312..83789062).
Notice: /Stage[main]/Labs_lvm/Exec[create-volume-group]/returns: The closest location we can manage is 20.9GB to 20.9GB (sectors 40894464..40896478).
Notice: /Stage[main]/Labs_lvm/Exec[create-volume-group]/returns: /usr/local/sbin/make-instance-vg: failed to create new partition
Error: /usr/local/sbin/make-instance-vg '/dev/vda' returned 1 instead of one of [0]
Error: /Stage[main]/Labs_lvm/Exec[create-volume-group]/returns: change from notrun to 0 failed: /usr/local/sbin/make-instance-vg '/dev/vda' returned 1 instead of one of [0]

Event Timeline

yuvipanda raised the priority of this task from to High.
yuvipanda updated the task description. (Show Details)
yuvipanda added subscribers: yuvipanda, scfc, Krinkle and 6 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2015, 8:52 AM
coren moved this task from Triage to Backlog on the Cloud-Services board.Feb 5 2015, 3:54 PM

Is this still an issue?

coren added a comment.Mar 14 2015, 7:09 PM

That depends on how you define issue. There is still a problem with Jessie refusing to boot properly if any of its bootstrap partitions are on LVM volumes, but it's not biting us at this time because we worked around that issue by not using LVM for / or swap at all.

Krinkle removed a subscriber: Krinkle.Mar 25 2015, 8:37 AM
scfc closed this task as Resolved.Feb 11 2016, 8:31 PM
scfc claimed this task.

That depends on how you define issue. There is still a problem with Jessie refusing to boot properly if any of its bootstrap partitions are on LVM volumes, but it's not biting us at this time because we worked around that issue by not using LVM for / or swap at all.

Interpreting this as "resolved".

scfc removed scfc as the assignee of this task.Feb 11 2016, 8:31 PM
scfc set Security to None.